package cn.kdan.cloud.pdf.office.account.controller;

import cn.kdan.cloud.pdf.office.account.constant.UserConstant;
import cn.kdan.cloud.pdf.office.account.model.AiRecord;
import cn.kdan.cloud.pdf.office.account.model.User;
import cn.kdan.cloud.pdf.office.account.service.AIService;
import cn.kdan.cloud.pdf.office.account.service.UserService;
import cn.kdan.cloud.pdf.office.api.account.dto.LogOffUserDTO;
import cn.kdan.cloud.pdf.office.api.account.dto.UpdateUserForOrderDTO;
import cn.kdan.cloud.pdf.office.api.account.vo.UserDetailVO;
import cn.kdan.cloud.pdf.office.api.account.vo.UserPageVO;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.dto.UserRegisterDTO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.common.vo.UserVO;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

@RestController
@RequestMapping("ai")
public class AIController {

    @Autowired
    private AIService aiService;



    @PostMapping("/getByFileKey")
    public ResultMap<AiRecord> getByFileKey(@RequestParam String fileKey) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, aiService.getByFileKey(fileKey));
    }

    @PostMapping("/insert")
    public ResultMap<Boolean> insert(@RequestBody AiRecord aiRecord) {
        aiService.insert(aiRecord);
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, Boolean.TRUE);
    }
}
