package cn.kdan.cloud.pdf.office.account.controller;

import cn.kdan.cloud.pdf.office.account.model.OauthClientDetails;
import cn.kdan.cloud.pdf.office.account.service.OauthClientDetailsService;
import cn.kdan.cloud.pdf.office.account.vo.OauthClientDetailsVO;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.utils.QueryUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description: 凭证管理
 * @param
 * @Return:
 */
@RestController
@RequestMapping("oauthClientDetails")
public class OauthClientDetailsController {

    private final OauthClientDetailsService oauthClientDetailsService;

    @Autowired
    public OauthClientDetailsController(OauthClientDetailsService oauthClientDetailsService) {
        this.oauthClientDetailsService = oauthClientDetailsService;
    }

    /**
     * @param
     * @Description: 获取服务的所用凭证相关信息，单点登录的时候调用
     */
    @GetMapping("listAll")
    public ResultMap<List<OauthClientDetails>> listAll() {
        List<OauthClientDetails> list = oauthClientDetailsService.listAll();
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, list);
    }


    /**
     * @Description: 通过凭证的Id获取到相关的服务，单点登录的时候用到
     * @param clientId
     */
    @GetMapping("getByClientId")
    public ResultMap<OauthClientDetails> getByClientId(@RequestParam String clientId) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, oauthClientDetailsService.getByClientId(clientId));
    }

}
