package cn.kdan.cloud.pdf.office.account.enums;

public enum SourceProduct {
    PDF_READER_PRO_MAC("1", "mac"),
    PDF_READER_PRO_WINDOWS("2", "windows"),
    PDF_READER_PRO_ANDROID("3", "android"),
    PDF_READER_PRO_IOS("4", "ios"),
    PDF_READER_PRO_WEB("5", "官网"),
    PC_OFFICIAL("6","PC_OFFICIAL"),
    MOBILE_OFFICIAL("7","MOBILE_OFFICIAL"),

    // Mac Platform
    MAC_APP_STORE_FREE("8","MAC_APP_STORE_FREE"),
    MAC_APP_STORE_PAID("9", "MAC_APP_STORE_PAID"),
    DMG_DOWNLOAD("10", "DMG_DOWNLOAD"),

    // Windows Platform
    EXE_MICROSOFT_STORE("11", "EXE_MICROSOFT_STORE"),
    EXE_OFFICIAL_DOWNLOAD("12", "EXE_OFFICIAL_DOWNLOAD"),
    UWP_FREE_MICROSOFT_STORE("13", "UWP_FREE_MICROSOFT_STORE"),
    UWP_PAID_MICROSOFT_STORE("14", "UWP_PAID_MICROSOFT_STORE"),

    // iOS Platform
    IOS_APP_STORE_FREE("15", "IOS_APP_STORE_FREE"),
    IOS_APP_STORE_PAID("16", "IOS_APP_STORE_PAID"),

    // Android Platform
    ANDROID_GOOGLE_PLAY("17", "ANDROID_GOOGLE_PLAY");

    private final String id;
    private final String name;

    SourceProduct(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public static String getIdByName(String name) {
        for (SourceProduct product : values()) {
            if (product.name.toLowerCase().contains(name.toLowerCase())) {
                return product.getId();
            }
        }
        return null; // 或者抛出异常
    }
}
