package cn.kdan.cloud.pdf.office.account.service.impl;

import cn.kdan.cloud.pdf.office.account.mapper.DeviceLogMapper;
import cn.kdan.cloud.pdf.office.account.model.DeviceLog;
import cn.kdan.cloud.pdf.office.account.model.DeviceLogExample;
import cn.kdan.cloud.pdf.office.account.service.DeviceLogService;
import cn.kdan.cloud.pdf.office.common.utils.CommonUtils;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.Date;
import java.util.List;

/**
 * @author tangxiangan
 */
@Service
public class DeviceLogServiceImpl implements DeviceLogService {

    @Resource
    private DeviceLogMapper deviceLogMapper;

    @Override
    public void create(DeviceLog deviceLog) {
        deviceLog.setId(CommonUtils.generateId());
        deviceLog.setCreatedAt(new Date());
        deviceLog.setUpdatedAt(new Date());
        deviceLogMapper.insert(deviceLog);
    }

    private Boolean getByUniqueSn(String uniqueSn) {
        DeviceLogExample example  = new DeviceLogExample();
        example.createCriteria().andUniqueSnEqualTo(uniqueSn);
        List<DeviceLog> list = deviceLogMapper.selectByExample(example);
        return CollectionUtils.isEmpty(list);
    }


}
