package cn.kdan.cloud.pdf.office.api.account.feign;

import cn.kdan.cloud.pdf.office.api.account.dto.LogOffUserDTO;
import cn.kdan.cloud.pdf.office.api.account.dto.UpdateUserForOrderDTO;
import cn.kdan.cloud.pdf.office.api.account.feign.hystrix.AIHystrix;
import cn.kdan.cloud.pdf.office.api.account.feign.hystrix.UserHystrix;
import cn.kdan.cloud.pdf.office.api.account.vo.AiRecord;
import cn.kdan.cloud.pdf.office.api.account.vo.UserDetailVO;
import cn.kdan.cloud.pdf.office.api.account.vo.UserPageVO;
import cn.kdan.cloud.pdf.office.common.config.FeignConfig;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.dto.UserRegisterDTO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.common.vo.UserVO;
import com.github.pagehelper.PageInfo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;
import java.util.List;


@Component
@FeignClient(value = CommonConstant.ACCOUNT_PROVIDER_NAME + "/ai" , configuration = FeignConfig.class,fallback = AIHystrix.class)
public interface AIApi {


    @PostMapping(value = "insert")
    ResultMap<Boolean> insert(@RequestBody AiRecord aiRecord);

    @PostMapping(value = "getByFileKey")
    ResultMap<AiRecord> getByFileKey(@RequestParam("fileKey") String fileKey);


}
