package cn.kdan.cloud.pdf.office.api.account.feign;


import cn.kdan.cloud.pdf.office.api.account.feign.hystrix.OauthClientDetailsApiHystrix;
import cn.kdan.cloud.pdf.office.api.account.vo.OauthClientDetails;

import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = CommonConstant.ACCOUNT_PROVIDER_NAME + "/oauthClientDetails", fallback = OauthClientDetailsApiHystrix.class)
public interface OauthClientDetailsApi {


    @GetMapping(value = "listAll")
    ResultMap<List<OauthClientDetails>> listAll();

    @GetMapping(value = "getByClientId")
    ResultMap<OauthClientDetails> getByClientId(@RequestParam("clientId") String clientId);
}
