package cn.kdan.cloud.pdf.office.api.payment.enums;

import cn.kdan.cloud.pdf.office.common.enums.ExceptionEnum;
import cn.kdan.cloud.pdf.office.common.exception.BackendRuntimeException;
import lombok.Getter;

/**
 * @author ComPDFKit-TXA 2023/1/29
 * <p>
 * 产品类型 枚举类
 */
public enum ProductTypeEnum {
    PACKAGE(1),
    PLAN(2);

    @Getter
    private final Integer value;

    ProductTypeEnum(int value) {
        this.value = value;
    }

    public static ProductTypeEnum fromValue(int value) {
        for (ProductTypeEnum method : ProductTypeEnum.values()) {
            if (method.value.equals(value)) {
                return method;
            }
        }
        throw new BackendRuntimeException(ExceptionEnum.EXCEPTION_MSG_CREATE_ORDER_PARAMETER);
    }

}
