package cn.kdan.cloud.pdf.office.api.payment.feign.hystrix;


import cn.kdan.cloud.pdf.office.api.payment.dto.CreateSubscriptionDTO;
import cn.kdan.cloud.pdf.office.api.payment.dto.CreateSubscriptionManualDTO;
import cn.kdan.cloud.pdf.office.api.payment.feign.SubscriptionApi;
import cn.kdan.cloud.pdf.office.api.payment.vo.SubscriptionSchemeResultVO;
import cn.kdan.cloud.pdf.office.api.payment.vo.SubscriptionSchemeVO;
import cn.kdan.cloud.pdf.office.api.payment.vo.SubscriptionsVO;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

@Service
public class SubscriptionHystrix implements SubscriptionApi {

    @Override
    public ResultMap<String> createSubscription(CreateSubscriptionDTO subscriptionInfo) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<SubscriptionsVO> getSubscriptions(@NotNull(message = "userId 不能为空") String userId, @NotNull(message = "platform 不能为空") Integer platform) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<SubscriptionsVO> getSubscriptionsByProductId(String userId, String productId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<SubscriptionsVO> getLatestSubscriptionForActualPayment(String userId, String productId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<String> giveSubscriptionManual(CreateSubscriptionManualDTO subscriptionManual) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<Map<String,SubscriptionSchemeVO>> getSubscriptionSchemeInfo(@NotNull(message = "用户id不能为空") String userId,
                                                                                 @RequestParam String appId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<SubscriptionsVO>> getSubscriptionsByUserIdAndProductId(@RequestParam("userId") String userId,
                                                                                 @RequestParam("productId") String productId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<LocalDateTime> getNextPayTime(@RequestParam("userId")String userId, @RequestParam("productId")String productId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<Boolean> judgeTrail(@RequestParam("userId")String userId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<Boolean> judgeAiDiscount(String userId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<Boolean> judgeAiTrail(String userId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
