package cn.kdan.cloud.pdf.office.api.payment.paddle;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/2/2
 */
@Data
@ToString
public class UpdateSubscription implements Serializable {

    @JsonProperty("subscription_id")
    private String thirdSubscriptionId;
    private Integer quantity;
    /***
     * 可选，但如果设置 .应用于收取重复价格的货币。例如、、、等。
     * 这必须与现有订阅的货币相同。recurring_priceUSD GBP EUR
     */
    private String currency;
    /**
     * 要应用于订阅的每数量单位的新定期价格。请注意，这是一个单一的价格，即。11.00
     */
    @JsonProperty("recurring_price")
    private String recurringPrice;
    /**
     * 要将订阅移动到的新计划 ID。
     */
    @JsonProperty("plan_id")
    private String planId;
    /**
     * 订阅中的更改是否应按比例分配。
     */
    private Boolean prorate;
    /**
     * 如果订阅应立即按修订后的数字计费下一个间隔。
     */
    @JsonProperty("bill_immediately")
    private Boolean billImmediately;
    /**
     * 保留用户订阅上的现有修饰符。
     */
    @JsonProperty("keep_modifiers")
    private Boolean keepModifiers;
    private String passthrough;
    /**
     * 暂停或重启订阅。如果订阅未暂停，并且设置为 ，则在达到订阅的下一个计划付款日期时，将更改为“已暂停”。true
     *
     * 如果指定了此选项，则不能同时包含以下修改：、、、
     * bill_immediatelykeep_modifiersproratequantityrecurring_pricepassthroughplan_id
     */
    private Boolean pause;


}
