package cn.kdan.cloud.pdf.office.api.payment.vo;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author ComPDFKit-WPH 2023/2/9
 */
@Data
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SubscriptionInfoVO {

    private BigDecimal price;
    /**
     * 订阅方案 1=》月 ；2=》年
     */
    private Integer subscriptionPlan;

    public String getEndDate() {
        return endDate.toString();
    }

    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime endDate;
    /**
     * 支付方式  ['paypal' => 0, 'alipay' => 1, 'wxpay' => 2, 'paddle' => 3, 'no need to pay' => 4];
     */
    private Integer paymentMethod;

    private String productName;

    /**
     * 产品 平台
     */
    private String productId;
    /**
     * 订阅状态
     */
    private Integer subscriptionStatus;

    /**
     * 自动续订状态
     */
    private Integer autoSubscriptionStatus;

}
