package cn.kdan.cloud.pdf.office.api.product.feign;

import cn.kdan.cloud.pdf.office.api.product.feign.hystrix.LoginLogHystrix;
import cn.kdan.cloud.pdf.office.api.product.feign.hystrix.PrizeHystrix;
import cn.kdan.cloud.pdf.office.api.product.vo.LoginInVO;
import cn.kdan.cloud.pdf.office.api.product.vo.PrizeVO;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


@Component
@FeignClient(value = CommonConstant.PRODUCT_PROVIDER_NAME + "/loginLog", fallback = LoginLogHystrix.class)
public interface LoginLogApi {
    @GetMapping("/getLoginDaysByUserId")
    ResultMap<Integer> getLoginDaysByUserId(@RequestParam("userId")String userId) ;

    @GetMapping("/getLoginCountForToday")
    ResultMap<Integer> getLoginCountForToday(@RequestParam("userId")String userId) ;


    @PostMapping("/insert")
    ResultMap<String> insert(@RequestBody LoginInVO loginInVO);

 }
