package cn.kdan.cloud.pdf.office.api.product.feign.hystrix;


import cn.kdan.cloud.pdf.office.api.product.feign.ProductApi;
import cn.kdan.cloud.pdf.office.api.product.vo.*;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Service
public class ProductHystrix implements ProductApi {


    @Override
    public ResultMap<ProductPriceVo> getProductPrice(@NotNull(message = "产品id不能为空") String productId, @NotNull(message = "userId不能为空") String userId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<ProductVO> getProduct(@NotNull(message = "产品id不能为空") String productId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<ProductVO> getProductForPay(String productId, Integer payment, Integer isDiscount) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<IPage<ProductVO>> getProductList(Long size, Long page, String appId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<ProductVO>> getNewUserProduct(String appId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<ProductVO> getProductByAppIdAndModel(String appId, Integer platform) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<ProductVO> getProductByThirdPayId(String thirdPayId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<ParentProductVO>> getProductListByPlatformId(String platformId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<ProductListVO>> getProductsList(Integer isEducation, Integer isTrial, Integer isActivity, String platformId, String userId, String code) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<ListingProductVO>> getListingProducts(Integer isEducation, String platformId, String code) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<ListingProductVO>> getProductsByIds(List<String> productIds) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<ListingProductVO> getProductsByCode(String code) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<ProductVO>> getProductByParentIdAndDiscountType(String parentId, Integer discountType) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<Integer> checkEmail(String email) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<ListingProductVO> getProductPriceForBuy(String productId, String userId, Integer isEducation) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<BigDecimal> getBatchProductPrice(String productId, Integer num) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<ListingProductVO> checkCoupon(String productId, String userId, String code) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<ProductVO> getProductByCode(String code) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<Boolean> updateCouponState(String code, Integer state, String orderId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<Boolean> refundCouponByOrderId(String orderId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
