package cn.kdan.cloud.pdf.office.common.annotation;

import cn.kdan.cloud.pdf.office.common.config.RedisConfig;
import cn.kdan.cloud.pdf.office.common.config.SwaggerConfig;
import cn.kdan.cloud.pdf.office.common.config.SpringContextUtilsConfig;
import org.springframework.context.annotation.Import;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 组合标签，推荐用这个
 * 将日志\ 异常处理\ 方法超时提醒注解组合使用
 */
@Target(value = ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Import({ RedisConfig.class,SwaggerConfig.class, SpringContextUtilsConfig.class})
public @interface EnableCommonTools {

}
