package cn.kdan.cloud.pdf.office.common.dto;

import lombok.*;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-Bob 2024/10/21
 * <p>
 * 创建订单DTO
 */
@Data
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class CreateUserOrderDTO {

    /**
     * 产品ID
     */
    @NotNull(message = "产品id 不能为空")
    private String productId;

    /**
     * 支付方式
     * PAYPAL(0),ALIPAY(1),WXPAY(2),PADDLE(3),
     */
    @NotNull(message = "paymentMethod 不能为空")
    @Size(min = 0, max = 3, message = "paymentMethod 值错误")
    private Integer paymentMethod;

    /**
     * 价格
     */
    @NotNull(message = "价格 不能为空")
    private BigDecimal price;

    /**
     * 优惠标记
     * 0原价，1优惠券，2升级，3教育优惠，4批量购买，5黑五折扣；6标准订阅升级；10教育商品升级，11黑五+优惠券
     */
    private Integer discountFlag;

    /**
     * 标准订阅升级开始时间
     */
    private String subscriptionDate;

    /**
     * 优惠卷
     */
    private String couponCode;

    /**
     * 批量购买数量
     */
    private Integer num;

    private String userId;
}
