package cn.kdan.cloud.pdf.office.common.enums;

public enum CodeConvertEnum {

    // 枚举常量和旧代码映射
    CROSS_PLATFORM_PRODUCT_3("com.brother.pdfreaderpro.cross.platform.product_3", "advanced-permanent"),
    MAC_PRODUCT_1("com.brother.pdfreaderpro.mac.product_1", "standard-permanent-mac"),
    MAC_PRODUCT_3("com.brother.pdfreaderpro.mac.product_3", "advanced-permanent-mac-upgrade"),
    WINDOWS_PRODUCT_3("com.brother.pdfreaderpro.windows.product_3", "advanced-permanent-windows"),
    WINDOWS_PRODUCT_1("com.brother.pdfreaderpro.windows.product_1", "standard-permanent-windows");

    // 旧代码和新代码
    private final String oldCode;
    private final String newCode;

    // 构造函数
    CodeConvertEnum(String oldCode, String newCode) {
        this.oldCode = oldCode;
        this.newCode = newCode;
    }

    // 获取旧代码
    public String getOldCode() {
        return oldCode;
    }

    // 获取新代码
    public String getNewCode() {
        return newCode;
    }

    // 根据旧代码获取新代码
    public static String getNewCodeByOldCode(String oldCode) {
        for (CodeConvertEnum productCode : CodeConvertEnum.values()) {
            if (productCode.getOldCode().equals(oldCode)) {
                return productCode.getNewCode();
            }
        }
        return "Unknown Code"; // 如果没有匹配的旧代码，返回默认值
    }
}

