package cn.kdan.cloud.pdf.office.common.enums;

public enum EmailCodeTypeEnum {
    /**
     * 登录
     */
    LOGIN("login","邮箱验证码登录","邮箱验证码登录",""),
    /**
     * 会员系统登录
     */
    MEMBER_LOGIN("member_login","邮箱验证码登录","邮箱验证码登录",""),
    /**
     * 注册
     */
    USER_REGISTER("user_register","注册验证码","注册验证码",""),
    /**
     * 重置密码验证码
     */
    USER_RESET_PASSWORD("user_reset_password","重置密码验证码","重置密码验证码",""),
    /**
     * 会员系统重置密码验证码
     */
    MEMBER_RESET_PASSWORD("member_reset_password","重置密码验证码","重置密码验证码",""),
    /**
     * 会员系统修改邮箱验证码
     */
    MEMBER_UPDATE_EMAIL("member_update_email","修改邮箱验证码","修改邮箱验证码",""),
    /**
     * 用户注销
     */
    USER_LOG_OFF("user_log_off","注销验证码","注销验证码",""),
    MEMBER_LOG_OFF("member_log_off","注销验证码","注销验证码",""),

    SUBSCRIPTION_SUCCESS("subscription_success","","",""),

    SUBSCRIPTION_SUCCESS_WITH_REGISTER("subscription_success_with_register","","",""),

    ORDER_SUCCESS("order_success","","",""),
    ACCOUNT_WARMING("account_warming","","",""),
    ACCOUNT_LOCKED("account_locked","","",""),
    ACCOUNT_UNLOCKED("account_unlocked","","",""),
    GIVE_AWAY("give_away","","",""),
    //用户注册成功
    MEMBER_REGISTER_SUCCESS("member_register_success","","",""),
    MEMBER_UPDATE_PASSWORD_SUCCESS("member_update_password_success","","",""),
    MEMBER_UPGRADE_SUCCESS("member_upgrade_success","","",""),
    MEMBER_BUY_SUCCESS("member_buy_success","","",""),
    TRANSFER_SUCCESS_WEB("transfer_success_web","","",""),
    TRANSFER_SUCCESS_APP("transfer_success_app","","",""),
;
    private final String value;
    private final String action;

    private final String subject;

    private final String text;

    public String subject() {
        return subject;
    }

    public String text() {
        return text;
    }

    EmailCodeTypeEnum(String value, String action, String subject, String text) {
        this.value = value;
        this.action = action;
        this.subject = subject;
        this.text = text;
    }

    public static EmailCodeTypeEnum getEnumByValue(String value) {
        for (EmailCodeTypeEnum modeEnum : EmailCodeTypeEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return null;
    }

    public String value() {
        return value;
    }

    public String action() {
        return action;
    }

}
