package cn.kdan.cloud.pdf.office.common.enums;

public enum OrderGiftLogVaildFlagEnum {
    /**
     * 待接收
     */
    RECEIVE_GIFT("0", "待接收"),
    /**
     * 已接收
     */
    RECEIVED("1", "已接收"),
    /**
     * 已失效
     */
    RECEIVE_FAIL("2", "已失效"),
    /**
     * 已取消
     */
    RECEIVE_CANCEL("3", "已取消")
;

    private final String code;
    private final String description;

    OrderGiftLogVaildFlagEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static OrderGiftLogVaildFlagEnum fromCode(String code) {
        for (OrderGiftLogVaildFlagEnum action : OrderGiftLogVaildFlagEnum.values()) {
            if (action.code == code) {
                return action;
            }
        }
        throw new IllegalArgumentException("No action found for code: " + code);
    }

}
