package cn.kdan.cloud.pdf.office.common.enums.product;

import java.math.BigDecimal;

public enum BlcakFivePriceEnum {

    SVIP("全平台高级版年订阅", new BigDecimal("99.99"), new BigDecimal("59.99")),
    PERMANENT("MAC&Windows双平台高级版永久", new BigDecimal("119.99"), new BigDecimal("83.99")),

    CNY_SVIP("全平台高级版年订阅", new BigDecimal("658"), new BigDecimal("388")),
    CNY_PERMANENT("MAC&Windows双平台高级版永久", new BigDecimal("778"), new BigDecimal("539")),
    ;

    private final String product;
    private final BigDecimal price;
    // 教育版价格
    private final BigDecimal displayPrice;

    BlcakFivePriceEnum(String product, BigDecimal price, BigDecimal displayPrice) {
        this.product = product;
        this.price = price;
        this.displayPrice = displayPrice;
    }

    public String getProduct() {
        return product;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public BigDecimal getDisplayPrice() {
        return displayPrice;
    }

    //    getbyprice
    public static BlcakFivePriceEnum getByPrice(BigDecimal price) {
        for (BlcakFivePriceEnum productEducationPriceEnum : BlcakFivePriceEnum.values()) {
            if (productEducationPriceEnum.getPrice().compareTo(price) == 0) {
                return productEducationPriceEnum;
            }
        }
        return null;
    }
}
