package cn.kdan.cloud.pdf.office.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 个人信息类 主要返回前端使用
 */
@Data
public class MemberInfoVO {

    /**
     * 用户id
     */
    private String id;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 用户名称
     */
    private String fullName;

    private SimpleUserSubscriptionInfoVO activeVIP;
    private SimpleUserSubscriptionInfoVO activeAI;

    private Integer aiPoint;
    /**
     *     注销(0),
     *     正常(1),
     *     停用(2),
     *     注销中(5);
     */
    private String validFlag;

    /**
     * 是否设置了密码
     */
    private String isHavePwd;
    /**
     * 是否有ai优惠
     */
    private String isHaveAIDiscount;
    /**
     * 是否有ai优惠
     */
    private String isAlreadyAITrail;
    /**
     * 是否可以试用
     */
    private String canTrail;
    /**
     * 姓氏
     */
    private String firstName;
    /**
     * 名字
     */
    private String lastName;
    /**
     * 住址
     */
    private String address;
    /**
     * 国家
     */
    private String area;

    private String avatarUrl;
    private Boolean isHaveActiveSubscription;
    /**
     * 官网使用（0元领取ai常驻按钮判断）
     * 0：不展示0元领取1年AI 按钮
     * 1：展示0元领取1年AI 按钮，但是是跳转到price页面
     * 2：展示0元领取1年AI 按钮，弹出询问权益转移弹窗（判断个人卡片或者用户中心是否展示权益转移入口）
     * 3： 进入领取一年AI的order页
     */
    private String isShowGetAiButton;
    private String isFreeAccount;
    /**
     * 0免费
     * 1永久
     * 2订阅
     * 3订阅过期
     */
    private String userSubscriptionStatus;
    /**
     * buy 购买 upgrade 升级 prepay 续费
     */
    private String activeButton;
    /**
     * 用户订阅所属平台
     * PAYPAL(0),
     *     ALIPAY(1),
     *     WXPAY(2),
     *     PADDLE(3),
     *     NO_NEED_TO_PAY(4),
     *     APPLE_PAY(5),
     *     GOOGLE_PAY(6),
     */
    private String payPlatform;
}
