package cn.kdan.cloud.pdf.office.email;

import cn.kdan.cloud.pdf.office.common.annotation.EnableMyRabbitMqHandler;
import cn.kdan.cloud.pdf.office.common.annotation.EnableMybatisPlusConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.amqp.rabbit.annotation.EnableRabbit;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;

/**
 * @author ComPDFKit-WPH 2023/1/10
 */
@SpringBootApplication
@EnableDiscoveryClient
@EnableHystrix
@EnableConfigurationProperties
@EnableMyRabbitMqHandler
@EnableMybatisPlusConfig
@MapperScan("cn.kdan.cloud.pdf.office.email.mapper")
public class PDFOfficeEmailApplication {

    public static void main(String[] args) {
        new SpringApplicationBuilder(PDFOfficeEmailApplication.class).run(args);
    }

}
