package cn.kdan.cloud.pdf.office.email.service.impl;

import cn.kdan.cloud.pdf.office.api.email.bo.TemplateHtmlBO;
import cn.kdan.cloud.pdf.office.email.entity.EmailTemplate;
import cn.kdan.cloud.pdf.office.email.mapper.EmailTemplateMapper;
import cn.kdan.cloud.pdf.office.email.service.EmailTemplateService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author ComPDFKit-WPH 2023-01-12
 */
@Service
public class EmailTemplateServiceImpl extends ServiceImpl<EmailTemplateMapper, EmailTemplate> implements EmailTemplateService {

    @Override
    public IPage<EmailTemplate> page(EmailTemplate query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    @Override
    public TemplateHtmlBO getTemplateById(String uuid) {
        EmailTemplate emailTemplate = this.baseMapper
                .selectOne(new LambdaQueryWrapper<EmailTemplate>().select(EmailTemplate::getTemplateHtml)
                .eq(EmailTemplate::getId, uuid));
        return TemplateHtmlBO.builder()
                .templateHtml(emailTemplate.getTemplateHtml())
                .build();
    }

    @Override
    public TemplateHtmlBO getTemplateByUseEvent(String useEvent) {
        EmailTemplate emailTemplate = this.baseMapper
                .selectOne(new LambdaQueryWrapper<EmailTemplate>()
                        .select(EmailTemplate::getTemplateHtml,EmailTemplate::getTemplateTitle,EmailTemplate::getId)
                        .eq(EmailTemplate::getUseEvent, useEvent)
                        .eq(EmailTemplate::getIsEnable,1));

        return TemplateHtmlBO.builder()
                .templateHtml(emailTemplate.getTemplateHtml())
                .templateTitle(emailTemplate.getTemplateTitle())
                .emailTemplateId(emailTemplate.getId())
                .build();
    }

}
