package cn.kdan.cloud.pdf.office.generate.service.impl;

import cn.kdan.cloud.pdf.office.generate.dto.TableInfoDTO;
import cn.kdan.cloud.pdf.office.generate.entity.TableInfo;
import cn.kdan.cloud.pdf.office.generate.mapper.TableInfoMapper;
import cn.kdan.cloud.pdf.office.generate.service.TableInfoService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author ZhouQiang 2022/7/24
 */
@Service
public class TableInfoServiceImpl extends ServiceImpl<TableInfoMapper, TableInfo> implements TableInfoService {

    @Override
    public IPage<TableInfo> listTableInfo(TableInfoDTO query) {
        LambdaQueryWrapper<TableInfo> queryWrapper = Wrappers.<TableInfo>lambdaQuery().eq(TableInfo::getTableSchema, query.getDbName());
        if (StringUtils.isNotBlank(query.getTableName())) {
            queryWrapper.like(TableInfo::getTableName, query.getTableName());
        }
        return this.page(new Page<>(query.getPage(), query.getSize()), queryWrapper);
    }
}
