package cn.kdan.cloud.pdf.office.payment.controller;

import cn.kdan.cloud.pdf.office.api.payment.dto.RightBindLogDTO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.payment.entity.RightBindLog;
import cn.kdan.cloud.pdf.office.payment.service.RightBindLogService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.BeanUtils;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author ComPDFKitTXA 2025-01-06
 */
@RestController
@RequestMapping("/rightBindLog")
public class RightBindLogController {

    private final RightBindLogService rightBindLogService;

    public RightBindLogController(RightBindLogService rightBindLogService) {
        this.rightBindLogService = rightBindLogService;
    }

    @PostMapping("/save")
    public ResultMap<Void> save(@RequestBody RightBindLogDTO rightBindLog){
        RightBindLog log = new RightBindLog();
        BeanUtils.copyProperties(rightBindLog,log);
        rightBindLogService.save(log);
        return ResultMap.success();
    }

    /**
     * 根据用户id查询记录数量
     * @param userId
     * @return
     */
    @PostMapping("/countByUserId")
    public ResultMap<Long> countByUserId(@RequestParam("userId") String userId){
        long count = rightBindLogService.count(Wrappers.<RightBindLog>lambdaQuery().eq(RightBindLog::getUserId, userId));
        return ResultMap.success(count);
    }
}
