package cn.kdan.cloud.pdf.office.payment.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2023-01-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("`order`")
public class Order extends BaseEntity{

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * app ID
     */
    private String appId;
    /**
     * 订阅ID
     */
    private String subscriptionId;
    /**
     * 订单编号，不知道什么东西
     */
    private String tradeNo;
    /**
     * paypal 支付id
     */
    private String thirdOrderNo;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 支付方式  [paypal = 0, alipay = 1, wxpay = 2, paddle = 3, no need to pay = 4];
     */
    private Integer payment;
    /**
     * 订单状态， [created = 0, approved = 1, completed = 2, closed = 3]
     *
     * OrderConstant
     */
    private Integer status;
    /**
     * 结果
     */
    private String result;
    /**
     * 支付链接
     */
    private String pagePayUrl;
    /**
     * 发票编号 时间戳
     */
    private String invoiceNo;
    /**
     * 第三方订单id
     */
    private String thirdTradeNo;
    /**
     * 产品/计划id
     */
    private String productId;
    /**
     * 折扣
     */
    private BigDecimal discount;
    /**
     * 减免的金额
     */
    private BigDecimal reducedPrice;
    /**
     * 是否是Vpp[No=1, Yes = 2];
     */
    private Integer isVpp;
    /**
     * [website_purchase=1, background_creation = 2];
     */
    private Integer type;
    /**
     * [trial = 1, formal = 2]
     */
    private Integer detailType;

    private String userId;

    private Date payDate;

    private String email;

    private Integer payNumber;

    /**
     * 优惠标记  0原价，1优惠券，2升级，3教育优惠，4批量购买，5黑五折扣；10教育商品升级，11黑五+优惠券
     */
    private Integer discountType;

    /**
     * 付费类型 0不是自动订阅 1自动订阅
     */
    private Integer subscriptionType;
    /**
     * 付费模式（1自动续订 2单次付费）
     */
    private Integer paymentModel;
    private String currency;
    private Date refundDate;
    private String model;
}
