package cn.kdan.cloud.pdf.office.payment.service;

import cn.kdan.cloud.pdf.office.api.payment.vo.OrdersVO;

import java.math.BigDecimal;


public interface WebhookService {


    /**
     * 处理自动订阅后续扣费业务处理（创建新订单和新订阅，更新用户会员到期时间）
     *
     * @param price          价格
     * @param thirdTradeNo   第三方订阅id
     * @param thirdOrderId   第三方订单id
     * @param orderByTradeNo 订阅的前一笔订单对象（用于设置新订单的一些相同参数）
     * @param payTime
     * @param result
     * @param oldPrice
     */
    void handleSubsequentAutomaticDeduction(BigDecimal price, String thirdTradeNo, String thirdOrderId, OrdersVO orderByTradeNo, Integer payTime, String result, BigDecimal oldPrice);

    /**
     * 查询订单详情（用于判断订阅是否已经支付完成）
     * @param orderId orderId
     * @return OrdersVO
     */
    OrdersVO getOrderWithUpdate(String orderId);

    /**
     * 首次订阅
     *
     * @param price        价格
     * @param thirdTradeNo 第三方订阅id
     * @param thirdOrderNo 第三方订单id
     * @param order
     */
    void handlingUserSubscriptionActivation(BigDecimal price, String thirdTradeNo, String thirdOrderNo, OrdersVO order,  String thirdSubsId);


    /**
     * 处理取消订阅后的一些通用操作
     *
     * @param thirdSubscriptionId 第三方订阅id
     */
    void handleUnsubscribeFollowUpActions(String thirdSubscriptionId);

    void handleMemberUnsubscribeFollowUpActions(String thirdSubscriptionId);

    void subscriptionRevoked(String thirdOrderId);
}
