package cn.kdan.cloud.pdf.office.website.controller;

import cn.kdan.cloud.pdf.office.common.dto.CreateUserOrderDTO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.website.service.OrderV2Service;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/order/v2")
@RequiredArgsConstructor
public class OrderV2Controller {

    private final OrderV2Service orderService;

    /**
     * 创建订单，支持买断购买
     *
     * @param  createOrderDTO  createOrderDTO
     * @return String 支付链接
     */
    @PostMapping("/createOrder")
    public ResultMap<Map<String, String>> createOrder(@RequestBody CreateUserOrderDTO createOrderDTO) {
        return ResultMap.success(orderService.createOrder(createOrderDTO));
    }

    @PostMapping("/createSubscription")
    public ResultMap<Map<String, String>> createSubscription(@RequestBody CreateUserOrderDTO createOrderDTO) {
        return ResultMap.success(orderService.createSubscription(createOrderDTO));
    }

}
