package cn.kdan.cloud.pdf.office.product.controller;


import cn.kdan.cloud.pdf.office.api.product.vo.LoginInVO;
import cn.kdan.cloud.pdf.office.api.product.vo.PrizeVO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.product.entity.LoginLog;
import cn.kdan.cloud.pdf.office.product.entity.Prize;
import cn.kdan.cloud.pdf.office.product.service.LoginLogService;
import org.springframework.beans.BeanUtils;
import org.springframework.web.bind.annotation.*;

/**
 * @author ComPDFKit-TXA 2024-12-18
 */
@RestController
@RequestMapping("/loginLog")
public class LoginLogController {

    private final LoginLogService loginLogService;

    public LoginLogController(LoginLogService loginLogService) {
        this.loginLogService = loginLogService;
    }

    @GetMapping("/getLoginDaysByUserId")
    public ResultMap<Integer> getLoginDaysByUserId(String userId) {
        return ResultMap.success(loginLogService.getLoginDaysByUserId(userId));
    }

    @GetMapping("/getLoginCountForToday")
    public ResultMap<Integer> getLoginCountForToday(String userId) {
        return ResultMap.success(loginLogService.getLoginCountForToday(userId));
    }

    @PostMapping("/insert")
    public ResultMap<String> insert(@RequestBody LoginInVO loginInVO) {
        LoginLog loginLog = new LoginLog();
        BeanUtils.copyProperties(loginInVO, loginLog);
        loginLogService.save(loginLog);
        return ResultMap.success();
    }

}
