package cn.kdan.cloud.pdf.office.product.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPHSB 2023-06-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("product")
public class Product extends BaseEntity{

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /*
     * 产品/计划名称
     */
    private String productName;
    /**
     * app ID
     */
    private String appId;
    /**
     *
     */
    private Integer parentProductId;
    /**
     * 活动id
     */
    private String activityId;
    /**
     * paddle 产品/计划ID
     */
    private String paddleProductId;
    /**
     *
     */
    private String code;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     *
     */
    private String forVersion;
    /**
     *
     */
    private String forPeriod;
    /**
     *
     */
    private Integer maxDeviceNum;
    /**
     *
     */
    private String description;
    /**
     * 中文价格
     */
    private BigDecimal cnyPrice;
    /**
     *
     */
    private String sonIds;
    /**
     *
     */
    private BigDecimal displayPrice;
    /**
     *
     */
    private BigDecimal cnyDisplayPrice;
    /**
     * 产品平台 1：windows，2：mac
     */
    private Integer platform;
    /**
     *
     */
    private String model;
    /**
     * 1单次购买产品 2订阅计划产品
     */
    private Integer type;

    /**
     * 所属业务线id (1pdf产品线2compdfkit产品线)
     */
    private Integer productLineId;

    /**
     * 付费模式（1自动续订 2单次付费）
     */
    private Integer paymentModel;

    /**
     * 订阅周期：1、月（30天）；2、季（90天）；3、半年（183天）；4、年（365天）
     */
    private Integer cycle;

    /**
     * 点数
     */
    private String points;

    /**
     * 部署方式（1私有化 2API 3SDK）
     */
    private Integer deployment;

    /**
     *  0不可用/待上架 1可用/上架中 2不可用/已下架
     */
    private Integer validFlag;

    /**
     * 产品优惠类型，0正常商品，1教育优惠，2活动，3试用，4升级，10试用+活动
     */
    private Integer discountType;

}
