package cn.kdan.cloud.pdf.office.product.mapper;


import cn.kdan.cloud.pdf.office.product.entity.LoginLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

/**
 * @author ComPDFKit-TXA 2024-12-18
 */
public interface LoginLogMapper extends BaseMapper<LoginLog> {
    // 查询登录了多少天
    @Select("SELECT COUNT(DISTINCT DATE(created_at)) AS login_days " +
            "FROM login_log " +
            "WHERE user_id = #{userId} AND type = 2")
    int getLoginDaysByUserId(String userId);

    @Select("SELECT COUNT(*) AS login_count " +
            "FROM login_log " +
            "WHERE user_id = #{userId} AND type = 2 " +
            "AND DATE(created_at) = CURDATE()")
    int getLoginCountForToday(String userId);

}
