package cn.kdan.cloud.pdf.office.sso.enums;

public enum FeedbackType {

    // 枚举常量，使用数字索引对应每个反馈类型
    FUNCTIONALITY_NOT_SUFFICIENT(1, "功能不满足"),
    TOO_MANY_BUGS(2, "Bug过多"),
    UNEXPECTED_SUBSCRIPTION(3, "意外订阅"),
    OTHER(4, "其他"),
    TOO_EXPENSIVE(5, "价格过高");

    private final int code;  // 数字索引
    private final String description;  // 对应的描述

    // 构造方法
    FeedbackType(int code, String description) {
        this.code = code;
        this.description = description;
    }

    // 获取数字索引
    public int getCode() {
        return code;
    }

    // 获取描述
    public String getDescription() {
        return description;
    }

    // 根据数字索引查找枚举
    public static FeedbackType fromCode(int code) {
        for (FeedbackType feedbackType : FeedbackType.values()) {
            if (feedbackType.getCode() == code) {
                return feedbackType;
            }
        }
        throw new IllegalArgumentException("No feedback type with code " + code + " found");
    }
}
